﻿
$ErrorActionPreference = 'Stop';
$toolsDir = "$(Split-Path -Parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  unzipLocation  = $toolsDir
  fileType       = 'EXE'
  softwareName   = 'Wavebox'

  url64bit       = 'https://download.wavebox.app/beta/win/Install%20Wavebox%2010.111.15.3.exe'
  checksum64     = 'c5e9ffb7884158a2e7bf95da166c85ac7aeb6a97a25d8cd07785ea50aa6e6196'
  checksumType64 = 'sha256'

  validExitCodes = @(0, 3010, 1641)
  silentArgs     = '--disable-progress --do-not-launch-chrome'
}

Install-ChocolateyPackage @packageArgs
